diff --exclude=configure --exclude='*beam' -aur otp_src_R12B-3-0C/lib/kernel/src/prim_inet.erl otp_src_R12B-3/lib/kernel/src/prim_inet.erl
--- otp_src_R12B-3-0C/lib/kernel/src/prim_inet.erl	2008-06-10 14:47:36.000000000 +0200
+++ otp_src_R12B-3/lib/kernel/src/prim_inet.erl	2009-03-19 12:14:29.532979000 +0100
@@ -200,10 +200,15 @@
 %% Multi-homed "bind": sctp_bindx(). The Op is 'add' or 'remove'.
 %% If no addrs are specified, it just does nothing.
 %% Function returns {ok, S} on success, unlike TCP/UDP "bind":
-bind(S, Op, Addrs) when is_port(S), is_list(Addrs) ->
+bind(S, Op, [{IP1,Port1}|AddrT]=Addrs) when is_port(S) ->
     case Op of
 	add ->
-	    bindx(S, 1, Addrs);
+	    case bind(S, IP1, Port1) of
+		{ok, _} ->
+		    bindx(S, 1, AddrT);
+		BindResult ->
+		    BindResult
+	    end;
 	remove ->
 	    bindx(S, 0, Addrs);
 	_ -> {error, einval}
